Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.server
Enum ServerProject.ProjectStatus

    java.lang.Object
      java.lang.Enum<ServerProject.ProjectStatus>
          edu.stanford.smi.protege.server.ServerProject.ProjectStatus

All Implemented Interfaces:
  Localizable, Serializable, Comparable<ServerProject.ProjectStatus>

Enclosing class:
  ServerProject

    public static enum ServerProject.ProjectStatus

extends Enum<ServerProject.ProjectStatus>
implements Localizable

Enum Constant Summary
`CLOSED_FOR_MAINTENANCE`
`READY`
`SHUTTING_DOWN`

Method Summary
`void` | `localize(KnowledgeBase kb)`
`static ServerProject.ProjectStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ServerProject.ProjectStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READY

    public static final ServerProject.ProjectStatus READY

### SHUTTING_DOWN

    public static final ServerProject.ProjectStatus SHUTTING_DOWN

### CLOSED_FOR_MAINTENANCE

    public static final ServerProject.ProjectStatus CLOSED_FOR_MAINTENANCE

Method Detail

### values

    public static final ServerProject.ProjectStatus[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ServerProject.ProjectStatus c : ServerProject.ProjectStatus.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ServerProject.ProjectStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.